/*--------------------------------------------------------------------------+

$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.interfaces;

/**
 * This class is a marker interface to provide additional information to an
 * {@link IElementCompositor}.
 * 
 * A typical example of such information is the target location obtained from
 * the user's mouse drag-and-drop gesture in some graphical editor, which should
 * be considered when computing the composed model element's layout information.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash: D85BD49FE3F70C2C4AF5B5B9250C0863
 */
public interface IElementCompositionContext {
	// this is just a marker interface
}
